<?php

class VstTitulo {
	
	
	protected $_elementos_izquierda= array();
	protected $_elementos_derecha= array();
	
	protected $_id = '';
	protected $_class = '';
	
	
	public function __construct( $id="", $class = ''){
		$this->_id = $id;
		$this->_class = $class;	
	}
	

	public function render(){

		$salida = '
			<div id="titulo_pagina" class="row">
				<div class="col-xs-12 col-sm-7 col-md-7 col-lg-7">
					<h1 class="page-title txt-color-blueDark">';
		
		ob_flush();
		foreach ($this->_elementos_izquierda as $elemento){
				
			if(strlen($elemento['clase'])>0)
				$salida .= '<div class="'.$elemento['clase'].'">';
				
			if(strlen($elemento['titulo'])>0)
				$salida .= '<h3>'.$elemento['titulo'].'</h3>' ;
			if(is_object($elemento['elemento'])){
				$salida .= $elemento['elemento']->render();
			}else{
				$salida .= $elemento['elemento'];
			}
				
			if(strlen($elemento['clase'])>0)
				$salida .= '</div>';
				
				
		}
		
		$salida .= '	</h1>
				</div>
				<div class="col-xs-12 col-sm-5 col-md-5 col-lg-5">
				<ul class="" id="sparks">';
		
		foreach ($this->_elementos_derecha as $elemento){

			$salida .= '<li class="sparks-info">';
			if(strlen($elemento['clase'])>0)
				$salida .= '<div class="'.$elemento['clase'].'">';
		
			if(strlen($elemento['titulo'])>0)
				$salida .= '<h3>'.$elemento['titulo'].'</h3>' ;
			if(is_object($elemento['elemento'])){
				$salida .= $elemento['elemento']->render();
			}else{
				$salida .= $elemento['elemento'];
			}
		
			if(strlen($elemento['clase'])>0)
				$salida .= '</div>';

			$salida .= '</li>';
			
		
		}
		
				
		$salida .=' </ul>
				</div>						
			</div>';
	
	
		
		
		return $salida;
	}
	public function __toString(){
		return $this->render();
	}
	
	public function addElement(&$elemento, $titulo = '' , $clase = ''){
		$this->_elementos_izquierda[] = array( 'elemento' => $elemento, 'titulo' => $titulo, 'clase'=>$clase);
	}

	public function addElementoDerecha(&$elemento, $titulo = '' , $clase = ''){
		$this->_elementos_derecha[] = array( 'elemento' => $elemento, 'titulo' => $titulo, 'clase'=>$clase);
	}
	
}
